<?xml version="1.0" encoding="UTF-8"?>
<ui version="4.0">
 <class>TableWindow</class>
 <widget class="QWidget" name="TableWindow">
  <property name="geometry">
   <rect>
    <x>0</x>
    <y>0</y>
    <width>952</width>
    <height>530</height>
   </rect>
  </property>
  <property name="windowTitle">
   <string>History viewer</string>
  </property>
  <property name="windowIcon">
   <iconset resource="../../../../../resources/nicos-gui.qrc">
    <normaloff>:/find</normaloff>:/find</iconset>
  </property>
  <layout class="QVBoxLayout" name="verticalLayout_2">
   <property name="leftMargin">
    <number>0</number>
   </property>
   <property name="topMargin">
    <number>0</number>
   </property>
   <property name="rightMargin">
    <number>0</number>
   </property>
   <property name="bottomMargin">
    <number>0</number>
   </property>
   <item>
    <widget class="QSplitter" name="splitter">
     <property name="orientation">
      <enum>Qt::Horizontal</enum>
     </property>
     <property name="opaqueResize">
      <bool>true</bool>
     </property>
     <property name="handleWidth">
      <number>6</number>
     </property>
     <widget class="QWidget" name="verticalLayoutWidget">
      <layout class="QVBoxLayout" name="verticalLayout">
       <property name="spacing">
        <number>5</number>
       </property>
       <property name="leftMargin">
        <number>6</number>
       </property>
       <item>
        <widget class="QLabel" name="label">
         <property name="sizePolicy">
          <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
         <property name="text">
          <string>History views:</string>
         </property>
        </widget>
       </item>
       <item>
        <widget class="QListWidget" name="viewList">
         <property name="enabled">
          <bool>true</bool>
         </property>
         <property name="sizePolicy">
          <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
           <horstretch>0</horstretch>
           <verstretch>0</verstretch>
          </sizepolicy>
         </property>
        </widget>
       </item>
      </layout>
     </widget>
     <widget class="QFrame" name="plotFrame">
      <property name="sizePolicy">
       <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
       </sizepolicy>
      </property>
      <layout class="QVBoxLayout" name="verticalLayout_4">
       <item>
        <layout class="QVBoxLayout" name="plotLayout"/>
       </item>
      </layout>
     </widget>
    </widget>
   </item>
  </layout>
  <action name="actionPrint">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/print</normaloff>:/print</iconset>
   </property>
   <property name="text">
    <string>&amp;Print...</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+P</string>
   </property>
  </action>
  <action name="actionClose">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/quit</normaloff>:/quit</iconset>
   </property>
   <property name="text">
    <string>&amp;Close window</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+Q</string>
   </property>
  </action>
  <action name="actionUnzoom">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/viewfull</normaloff>:/viewfull</iconset>
   </property>
   <property name="text">
    <string>&amp;Unzoom</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+U</string>
   </property>
  </action>
  <action name="actionSavePlot">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/save</normaloff>:/save</iconset>
   </property>
   <property name="text">
    <string>&amp;Save plot</string>
   </property>
   <property name="toolTip">
    <string>Save plot in portable format</string>
   </property>
  </action>
  <action name="actionLogScale">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>&amp;Logarithmic Y scale</string>
   </property>
   <property name="iconText">
    <string>Log Scale</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+L</string>
   </property>
  </action>
  <action name="actionCloseView">
   <property name="text">
    <string>Close view</string>
   </property>
   <property name="iconText">
    <string>Close</string>
   </property>
   <property name="toolTip">
    <string>Close plot for this view</string>
   </property>
  </action>
  <action name="actionLegend">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>L&amp;egend</string>
   </property>
  </action>
  <action name="actionDeleteView">
   <property name="text">
    <string>Delete view</string>
   </property>
   <property name="iconText">
    <string>Delete</string>
   </property>
   <property name="toolTip">
    <string>Delete view</string>
   </property>
   <property name="shortcut">
    <string>Del</string>
   </property>
  </action>
  <action name="actionResetView">
   <property name="text">
    <string>Reset</string>
   </property>
  </action>
  <action name="actionNew">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/new</normaloff>:/new</iconset>
   </property>
   <property name="text">
    <string>New view</string>
   </property>
   <property name="shortcut">
    <string>Ctrl+N</string>
   </property>
  </action>
  <action name="actionAttachElog">
   <property name="text">
    <string>Attach to electronic log</string>
   </property>
  </action>
  <action name="actionSymbols">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Show symbols</string>
   </property>
   <property name="iconText">
    <string>Symbols</string>
   </property>
  </action>
  <action name="actionLines">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Show lines</string>
   </property>
   <property name="iconText">
    <string>Lines</string>
   </property>
  </action>
  <action name="actionEditView">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/editor</normaloff>:/editor</iconset>
   </property>
   <property name="text">
    <string>Edit view</string>
   </property>
  </action>
  <action name="actionFitLinear">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Line</string>
   </property>
   <property name="toolTip">
    <string>Linear fit: y = m*x + t</string>
   </property>
  </action>
  <action name="actionSaveData">
   <property name="icon">
    <iconset resource="../../../../../resources/nicos-gui.qrc">
     <normaloff>:/table</normaloff>:/table</iconset>
   </property>
   <property name="text">
    <string>Save data</string>
   </property>
   <property name="toolTip">
    <string>Save the data in plain text file</string>
   </property>
  </action>
  <action name="actionAutoScale">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Auto scale</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;autoscale: growing window&lt;/p&gt;&lt;p&gt;The autoscale feature defines a growing window in x, y direction. If the drawn curve is within this window and does not cross the boundaries the next added point is taken into account on autoscaling.&lt;/p&gt;&lt;p&gt;If the curve already crosses boundaries the next point is not taken into account. This allows you to zoom into a region of interest without turning autoscale off.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
  </action>
  <action name="actionScaleX">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>X</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Automatic scaling in x direction&lt;/p&gt;&lt;p&gt;The autoscale feature defines a growing window in x direction. If the drawn curve is within this window and does not cross the boundaries the next added point is taken into account on autoscaling.&lt;/p&gt;&lt;p&gt;If the curve already crosses boundaries the next point is not taken into account. This allows you to zoom into a region of interest without turning autoscale off.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
  </action>
  <action name="actionScaleY">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Y</string>
   </property>
   <property name="toolTip">
    <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Automatic scaling in y direction&lt;/p&gt;&lt;p&gt;The autoscale feature defines a growing window in y direction. If the drawn curve is within this window and does not cross the boundaries the next added point is taken into account on autoscaling.&lt;/p&gt;&lt;p&gt;If the curve already crosses boundaries the next point is not taken into account. This allows you to zoom into a region of interest without turning autoscale off.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
   </property>
  </action>
  <action name="actionFitExponential">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Exponential</string>
   </property>
   <property name="toolTip">
    <string>Exponential fit: y = exp(b(x-x0))</string>
   </property>
  </action>
  <action name="actionFitPeak">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Make &amp;Fit</string>
   </property>
   <property name="iconText">
    <string>Fit</string>
   </property>
   <property name="toolTip">
    <string>Fit current plot with selected function</string>
   </property>
  </action>
  <action name="actionFitPeakLorentzian">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Lorent&amp;zian</string>
   </property>
  </action>
  <action name="actionFitPeakGaussian">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>&amp;Gaussian</string>
   </property>
   <property name="iconText">
    <string>Peak fit</string>
   </property>
  </action>
  <action name="actionFitSigmoid">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>&amp;Sigmoid</string>
   </property>
   <property name="iconText">
    <string>Fit Sigmoid</string>
   </property>
   <property name="toolTip">
    <string>Fit Sigmoid function</string>
   </property>
  </action>
  <action name="actionFitCosine">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Cosine</string>
   </property>
   <property name="iconText">
    <string>Peak fit (PV)</string>
   </property>
   <property name="toolTip">
    <string>Fit Cosine function</string>
   </property>
  </action>
  <action name="actionFitPeakPVII">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Pearson VII</string>
   </property>
   <property name="iconText">
    <string>Peak fit (PVII)</string>
   </property>
   <property name="toolTip">
    <string>Fit Pearson VII Peak</string>
   </property>
  </action>
  <action name="actionFitPeakPV">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Pseudo-Voigt</string>
   </property>
   <property name="iconText">
    <string>Peak fit (PV)</string>
   </property>
   <property name="toolTip">
    <string>Fit Pseudo-Voigt Peak</string>
   </property>
  </action>
  <action name="actionFitArby">
   <property name="text">
    <string>Fit arbitrary function...</string>
   </property>
  </action>
  <action name="actionFitTc">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>&amp;Tc</string>
   </property>
   <property name="iconText">
    <string>Fit Tc</string>
   </property>
  </action>
  <action name="actionPickInitial">
   <property name="checkable">
    <bool>true</bool>
   </property>
   <property name="text">
    <string>Pick starting points for fit</string>
   </property>
  </action>
 </widget>
 <resources>
  <include location="../../../../../resources/nicos-gui.qrc"/>
 </resources>
 <connections>
  <connection>
   <sender>actionClose</sender>
   <signal>triggered()</signal>
   <receiver>TableWindow</receiver>
   <slot>close()</slot>
   <hints>
    <hint type="sourcelabel">
     <x>-1</x>
     <y>-1</y>
    </hint>
    <hint type="destinationlabel">
     <x>321</x>
     <y>230</y>
    </hint>
   </hints>
  </connection>
 </connections>
</ui>
